2019-08-17 Suleyman Poyraz <zaryob.dev@gmail.com> :onbranch:feature/translations
    * Translations Updated:
     tr ve en dosyaları tamamen elden geçirildi. de yerelleştirmesi için biraz çalıştım ama yetersiz.
     diğer çeviriler hak getire

2019-08-16 Suleyman Poyraz <zaryob.dev@gmail.com>
    * Lisans Güncellendi:
      Eski çatalın lisans olan GPLv2 yerine mevcut çalıştığım inary çatalında GPLv3 kullanıyordum
      ancak AGPLv3 ile yayıma devam etme kararı aldım.

2019-08-14 Suleyman Poyraz <zaryob.dev@gmail.com>
    * Paket kurulumu öncesi tam bilgilendirme:
     Şu değerler artık paket işlemleri sırasında listelenecek: indirilecek toplam
     paket boyutu, indirilecek paketlerden önceden indirilmiş olanı; kurulum/güncelleme
     sonrası gereken boş disk alanı; silme işleminden sonra diskte açılacak yer.
     - Paket indirmeden önce toplam indirme boyutu ve önceden indirilmiş paket miktarını
       göstecek şekilde ctx.ui.notify içindeki event ayarlanı ve ona göre kod düzenlendi.

    * Orphaned paketler için düzenleme:
     oprhaned yani kopuk olan paketler arasında her zaman doc pages static ve dbginfo
     paketlerini de alıyordu ve anında siliyordu bu hata düzeltildi.
    * GPG Signature/GPG İmzalama problemi:
     GPG imzası bulunamadı ya da doğrulanamadığı durumda hata veren kod değiştirildi.
     kontrol mekanizması eklendi
    * ctx.ui.notify fonksiyonuna eklemeler ve düzenlemeler ve yeni renkler
     - ui içerisindeki her bir işlem adımı için ekleme yapıldı. İnstalling removing gibi
       adımları hem ekrana hem log dosyasında hem ekrana hem de log dökümüne yazdırmak,
       kurulum sırasını ve bazı önemli şeyleri de sadece log dökümüne yazdırmayı denetlemem
       lazımdı. Notify kullanacak yerler belirlendi. Buna göre kodlar düzenlendi.
     - italic yazı stili ve üzeri çizgili yazı stilleri eklendi.

2019-08-13 Suleyman Poyraz <zaryob.dev@gmail.com>
    * magic için fallback yazıldı:
        magic modülü yoksa file komutu ile dosya bilgileri alınacak

2019-08-12 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Uzun zamandır ağız tadı ile bir ChangeLog yazamadım.
	* gericekme branchi hakkında:
		- kod üzerinde bazı deneysel işler ali rıza keskin tarafından yapıldı.
			ancak yapılan değişiklikler beni rahatsız etti. asıl kodun mantığı ve
			inary algoritmasının taa pisi dönemlerine uzanan avantajlarına gölge
			düşüren bu kodlar arasından işe yarar nitelikte olanları alındı. Ancak
			şunu açıkca ifade etmeliyim ki tüm değişiklikler herkesin gözle
			görebileceği şekilde ortaya kondu.
		- işe yarayabilecek 1-2 yama harici atıldı.
		- bu branch üzerinde öğrendiğim şu topological sort algoritması yavaş Ancak
		  iyileştirme yapılamayacak durumda değil. aklımdaki değişimler yapıldığında
			umarım daha güzel olacak
	* mevcut branchler hakkında:
		- mevcut brancler features/ develop ve master olmak üzere 3 tane:
			+ features: bu tag kendii içinde kod temizliği, çeviriler, belgeleme,
			  daha önceden çıkartılan script ve testsuiti içindir. her bir branch
				başarıya ulaşınca develop branchine merge edilip kaldırılacaktır. develop ise
				gerekli testlerinin ardından master tagına bağlanacaktır ve her bağlamada
				inary yeni bir sürüm numarasına sahip olacaktır
	* bu zamana kadar yapılanlar hakkında:
		- ufak çaplı bug avları.
		- zamanlı zamansız karşıma çıkan hataların tespiti.
		- 2 ileri bir geri kod saçmalaları. daha detaylı bilgi için lütfen git diff yapınız.
	* yol haritası:
	  - RoadMap üzerinden yazılmıştır. Bir daha uğraştırmayın.


2019-01-17 Suleyman Poyraz <zaryob.dev@gmail.com>
	* fetcher pycurl kullanılarak yeniden yazıldı. Bu sayede base sistemde
	dependency yükü azaldı, partial file download özelliği getirildi.
	* actionsapi modulleri elden geçirildi kararlılık sağlandı
	* delete-cache komutu elden geçti.
	* util içindeki retrieve yüzünden erişilemeyen fonksiyon yaşanması
	hatası giderildi.
	* graphing hatası ve bağımlılık analizi kopmaları giderildi.

2018-12-07 Suleyman Poyraz <zaryob.dev@gmail.com>
        * inary.operations.operations isimli modül hem saçma hem gereksizdi. Silindi.
        * clean command was a useless command. And it was deleted.
        * Fixed archiving problem. Added file compression level.
        * Fixed util module errors.

2018-12-03 Suleyman Poyraz <zaryob.dev@gmail.com>
        * Preprocess module added into inary/libraries until when I rewrite xmlfile

2018-12-01 Suleyman Poyraz <zaryob.dev@gmail.com>
        * PEP-8 style edits:
	        - spaces and
        * Unreachable return colums are deleted.
        * Deprecated modules are deleted:
	        - inary/__init__.py: imp -> importlib
	        - inary/fetcher.py: encodestring -> encodebytes
        * Mutable default arguments are rewrited.
        * None equalities are inspected.
        * inary/configfile.py: changed backspace tabs to space.
        * Some functions are changed static methodes.

2018-05-12 Suleyman Poyraz <zaryob.dev@gmail.com>
		* Paket tipi hatası:
		Belirtilen paket tipine uygun install dosyası pakete eklenmeli ve
		sha değeri alınmalıdır. Bu yüzden bu konuda sıkıntı yaratan satırlar
		düzenlendi.
		* Gereksiz fonksiyonlar silindi:
		  -> inary.atomicoperations.reorder_base_packages()
		* atomicoperations.py eski haline getirildi:
		  -> Kısa süreli bir çözüm için api içerisi atomicoperations'a verilmişti.
			Tamamen baştaan ele alınarak her fonksiyon bulunması gereken yere taşındı.
			inary ortalama 32 milisaniye hız artışı yaşadı.



2018-05-09 Suleyman Poyraz <zaryob.dev@gmail.com>
		* util.py parçalandı:
			-> ileride kod birikmesi olmasın diye (cross compiling özelliği ekleyince)
				util.py dosyası parçalandı.
			-> util parçalanması sonrası değişimler yapıldı.
		* One test passed:
			-> fetcher testindeki errora sebeb olan yer bulundu fetcher fixe edildi.
		* Komutlara küçük dokunuşlar:
		  -> innary.cli.listpendings.py dosyası düzenlendi. list-pendings komutu
			biraz anlaşılır ve renkli yapıldı.

2018-05-08 Suleyman Poyraz <zaryob.dev@gmail.com>
		* Atomicoperations rahatlatılmalı:
			-> atomicoperations içerisine taşınan fonksiyonlar yeniden ele alınıp gerekli
					olanları cli içerisindeki kullanıldığı komuta taşınacak

		* ctx.ui.info fonksiyonuna özellik eklendi:
			-> inary.util.colorize ile çok işimiz oluyordu o da kodda okunmazlığa ve kodun uzamasına
					sebeb oluyordu. Tertemiz olsun diye info fonksiyonuna renk için bir parametre eklendi.

		* Cosmetics.
			-> History renklendirildi: Paket yöneticisi pavyona döndü. Renkli filan.
			-> Verbose ile çıktı verilirken artık o satırın detaylı çıktı olduğu belli edilecek.
			-> inary.db içindeki database fonksiyonları çalışırken beklemek bir işkenceydi.
					Hele minidom yüklü ise sistemde. Bu yüzden verbosed mesajlar eklendi.

2018-05-06 Suleyman Poyraz <zaryob.dev@gmail.com>
		* Küçük bir hack:
		  -> Immm. Artık home-build şansımız var yani geliştirici root yetkisi
			   almaksızın evde paket yapabilecek. Tabi ufak testler yapıldıktan sonra

2018-05-05 Suleyman Poyraz <zaryob.dev@gmail.com>
		* Test sonuçlarına uygun düzenlemeler:
		  -> inary/db/sourcedb.py dosyasında farkettiğim hata düzeltildi.
			-> testlerden bazılarındaki ufak hatalar temizlendi.
		  -> yeni bir hata fixme dosyasına geçirildi.

2018-05-01 Suleyman Poyraz <zaryob.dev@gmail.com>
		* xmlext ile düzenlemeler:
			-> inary.data.specfile:
			   - translations.xml dosyasını okurken xmlext kullanıyor.
		  -> inary.db.installdb, inary.db.sourcedb:
			   - Geçirilmesi unutulan satırlar yeniden ele alındı
			-> inary.db.repodb:
			   - Yarı yarıya xmlext ile çalışıyor.

		* Eklenenler:
			-> inary.db.filesdb:
			   - has_file fonksiyonu eklendi. Databasede dosya var mı yok mu
				   kontrol etmek için birebir.
			-> inary.sxml.xmlext:
			   - removeChild fonksiyonu eklendi. removeChildText ve removeAttribute
				   fonkdiyonları üzerinde çalışılıyor.
			-> checkelf scripti:
			   - pardus döneminde kullannılan ve paketin dependency'lerini ldd ve pc
				  dosyalarına bakarak döndüren bir tool.

		* Silinenler:
		  -> inary.analyzer:
			  - gereksiz olan ctypes_analyzer ile pkgconfig silindi. Pkgconfig yerine
				  checkelf script olarak alındı.

		* Hata düzeltmeleri:
		  -> dbus exception için python3'de farklı bir class açılmış. Ona oygun olarak
			   except satırları değiştirildi.
			-> op_wrapper:
			   inary.operations.operations olarak yeniden adlandırıldı.

2018-04-29 Suleyman Poyraz <zaryob.dev@gmail.com>
  * Darara (new tag= inary-1.0_rc3):
		* historydb:
			-> Hataya sebeb olan satırlar düzeltildi.
		* Hata düzeltmeleri:
			-> xmlext'ye geçirilmeyen bazı kısımlar düzeltildi.
				 ve bu dönüşüme bağlı hatalar yamandı.
			-> atomicoperations içindeki hatalar düzeltildi.
		* Testler:
			-> Portage'ın runTests betiği incelenip inary için daha
				 uygun yeni bir betik yazıldı
			-> setup.py içerisinde test sınıfı eklendi. Kararlılığı sağlandı.


2018-04-28 Suleyman Poyraz <zaryob.dev@gmail.com>
		* Hata düzeltmeleri:
			-> Kodlama hataları ele alındı, arada anlamsız gelen çıktılar düzeltildi
		* Lisans:
			-> GPLv3 yapıldı, eski developerlerin kullandığı Copyright da eklendi.

2018-04-15 Suleyman Poyraz <zaryob.dev@gmail.com>
		* fetcher.py:
			-> Her zaman sinirimi bozan bu fetcher requests ile yeniden yazıldı.
				 urllib kullanmak indirme yöneticisini yavaşlatıyordu.
				 Bir tane yeni bağımlılık eklerim de yine de o yavaşlığı çekemem arkadaş
		* İç aksam düzenlemeleri:
			-> inary.__init__()
			   inary main modulu içindeki error sınıfı ait olduğunu hissettiğim
				 yer inary.errors içine taşındı. Böylece bir error için bütün inary
				 modulunu yeniden import etmeye gerek kalmayacak.
				 Bknz: 'Bit için yorgan yakılmaz.'
			-> inary.db.filesdb:
				 filesdb zaten dinamik bir database. O yüzden her installing ardından
				 koskocaman files databasesi yapılandırmayı saçma buldum. Onu
				 düzelttim. Ayrıca database testleri ile sağlıklı çalıştığına emin
				 oldum.
			-> Çıktılar biraz ellendi, renklendirmeler eklendi


		* Atom düzenlemeleri:
			-> Gereksiz boşluklar temizlendi.
			-> Simetri hastası bir insan olarak bazı modul importlarını elle
			düzelttim.


2018-04-14 Suleyman Poyraz <zaryob.dev@gmail.com>
    * Özellik eklemesi:
			-> Paket kurulumundan önce yeterli alan olup olmadığı artık denetleniyor.

		* Hata düzeltmeleri:
			-> Görünümsel hatalar fixe edildi.
			-> runtime hatalarından bazıları giderildi
			-> dosym methodundaki hata düzeltildi.


2018-03-29 Suleyman Poyraz <zaryob.dev@gmail.com>
		* Hata düzeltmeleri:
		Kararlı öncesi.
			-> Magic modülü kararlı hale getirildi, pkgconfig librarisi düzenlenecek.
			-> Arşiv çıkartılırken oluşan hata düzeltildi.
			-> inary-cli betiğini hangi kafa ile düzeltmişim? Saçmalamasına
			sebeb olan hata düzeltildi

		* Genel iyileştirmeler
			-> Actionsapi betiklerinden gereksiz fonksiyon var mı diye kontrol edilip
			betikler düzenlendi.
			-> Yeni bir renk skalası eklendi. ("faint")
			-> Renklendirme yapıldı


2018-03-18 Suleyman Poyraz <zaryob.dev@gmail.com>
		* minidom vs ciksemel:
		minidom ile tüm inary sistemi yeniden yazıldı. Ancak ciddi manada
		inar yavaşlıyor. Db initializing süresi 8 sn. Yuh yani. Ama minidom
		uğraşımı öylece silmek istemediğim için minidom ve ciksemeli beraber
		kullanma kararı aldım.


2018-03-11 Suleyman Poyraz <zaryob.dev@gmail.com>
    * colorized help output:
		Colorized command names and now help screen look well.
		* Minimum dependency, Maximum stabilization:
		patchfile:
		patches/applied-patches/minimum-dependency-maximum-stabilization-001.patch
		If we had one or two dependency we can control inary
		but there are a lot of runtime dependency. And this is
		look up bad. I clean runtime dependencies and I write
		alternative libraries into inary. I clean runtimes:
		    * magic: it soo easy if when use ctypes.I import libmagic
				with ctypes and I use it in inary
				* plyvel: for basic files database, we musn't a big
				database library. Shelve is pretty than "Google's"
				plyvel database library.
				* ciksemel: I work about this.


2018-03-10 Suleyman Poyraz <zaryob.dev@gmail.com>
    * Cleaned ınary/api.py:
		Clean unuseful commands, Moved functions true palaces and
		writed 2 new module.
		* Not worked patch delete-runtime-dependency-ciksemel:
		Not work well minidom. So I returned codes to ciksemel.
		Should work with minidom detailed.

2018-03-09 Suleyman Poyraz <zaryob.dev@gmail.com>
    * Patched delete-runtime-dependency-ciksemel:
		For compability we shoul use minidom in xml file parsing,
		we shouldn't use a new runtime dependency. (Please Read CODING)

2018-03-04 Suleyman Poyraz <zaryob.dev@gmail.com>
    * Updated RoadMap
		* Cleaned FIXME tags:
		Cleaned not understandable Fixme tags


2018-03-02 Suleyman Poyraz <zaryob.dev@gmail.com>
    * deleted distupdate command:
		Sulin will be a roolling release distro. So we don't have a
		distupdater.

2018-02-11 Suleyman Poyraz <zaryob.dev@gmail.com>
  * distupdate komutu:
	Stabilize edildi ve renklendirildi
	* string -> strutils:
	Strutils fonksiyonu kullanılır hale getirildi. String
	modulunun icindekiler strutils içine taşındı
	* Bug Fixes:
	Sorunlu olan search-file komutu düzeltildi.
	Xml dosyasındaki Utf-8 decode etmeden string oluşturmasına
	çözüm bulunamadı :(


2018-02-07 Suleyman Poyraz <zaryob.dev@gmail.com>
  * System modulleri silindi:
	Inary içinde onlara ihtiyaç olmadığını farkettim. Scom içine alarak yer
	kazandım.
	* inary/strutils.py:
	Str veri tipi için basit tipte fonksiyonları ve multisplit gibi şeyleri
	içeren bir modul.

2018-02-04 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Kozmetik fixler ve düzenlemeler yapıldı(developing branch)
	* Dokumantasyon taslakları yazıldı.(developing branch)
	* Merge Developing branch into master on 2018-01-07


2018-01-29 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Gereksiz toolar temizlendi:
	Bazıları ismail abiye yüklenecek, İsmail abi kim mi?
	ÇOK YAKINDAAAA....


2018-01-28 Suleyman Poyraz <zaryob.dev@gmail.com>
  * distupdate komutu eklendi:
	Upgrade komutu buyuk capta guncellemeler için biraz
	tehlikeli kaçıyordu ve yetersiz sayılırdı. Bu yüzden bu
	modul eklendi.

  * Downgrade silindi:
	Downgrade çok vasat duruyor. Upgradeden çarptım ama bence yetersiz
	o yüzden yeniden yazılana kadar rafa kaldırdım. çok yakında
	yeniden yazıp koyacam. öteki türlü hep aklımdan cıkıyor :)

2018-01-27 Suleyman Poyraz <zaryob.dev@gmail.com>
  * Darara (new tag= inary-1.0_rc1):
	-> work build, fetch, update, install functions.
	  |_ Fixed itembyrepodb.
		|     Not used true tag. I use "Packages" but real tag was "Package".
		|_ Fixed fetcher
		|     now work very well.
		|_ Fixed all po files
		|     Usable Languages are: German, English, Franchis, Turkish and Russian
		|_ Clean non useful imports
		|_ Fixed filesdb
		\     we use leveldb based filesdb (marcin)



2018-01-26 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Python3 kullanımı ile ilgili çok vasat bir kodlama
	anlayışımız var:
	a) Bu sorun ile ilgili olarak
	   "%s" ile taglanma yerine "{}" kullaniliyor.
	b) Ceşitli düzenlemeler yapıldı. Buna uygun olarak
	   po dosyaları ve actions.py betikleri (repodan)
		 düzenlendi.
	c) yanlış kullanımlar gereksiz importlar silindi


2018-01-20 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Testler elden geçirilmeli:
	-> Testler düzenlendi (2018-01-20)
	-> Testler gruplandirildi (2018-01-22)
	-> oo ve autoxml testleri eklendi (2018-01-22)
	-> testlerin islevselliginden emin olunuldu (2018-01-23)

2018-01-17 Suleyman Poyraz <zaryob.dev@gmail.com>
  * Added system_literals and now work crossplatorm
	inary packaging:
	Look more about inary/system_literals/Modules.md

2018-01-13 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Scom dosyalari pakette yok!!:
	Bu hata Fixe edilmiştir


2017-12-24 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Python3 kutuphane uyumlulugu:
	lzma hataları düzenlendi, urllib.request ile fetcher
	yeniden yazıldı
	magic kutuphanesi düzenlendi.

2017-09-02 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Yeniden adlandırıldı:
	Yeni adı inary oldu

2017-09-02 Suleyman Poyraz <zaryob.dev@gmail.com>
	* fetcher düzenlendi:

2017-09-02 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Son dakika golu:
	Rasbianin saati birkac gun geriden gelse de 3 eylulun
	son saatinde api modulunun icerisi temizlendi

2017-09-02 Suleyman Poyraz <zaryob.dev@gmail.com>
	* spam.operations.build:
	There are an error in using ```Build(path)``` and I will fix it tomorrow

	* unuseful importing libraries:
	example in xmlfile. A developer imported an old library preprocess
	and I try fix it
	Türkçesi ile benim neler çektiğimi nerden bileceksiniz

2017-09-01 Suleyman Poyraz <zaryob.dev@gmail.com>
	-> spam 1.0 beta 2
	* build:
	Add new configure function in actions.py and we can make
	configuring with only a function easly. And adding actions.py
	in packages and it moving to package dirs actions.py file

	* install:
	FIXME: If we want install a new release for any package it
	report file conflicts error, it should fix it.

	* removing:
	FIXME: In removing a package it report file conflicts error
	and can not remove package

	* delta:
	FIXME: I can not add actions.py file in delta package.

	* index:
	FIXME: in source repo indexing there are type errors in
	adding xml files...

	* blame:
	TODO: add blaming from packages support

	* rebuild-db:
	It working.

2017-08-31 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Remove Comar/scom libraries:
	Now we can install packages without comar scripts
	I add a function in actions.py file.  I we want
	configure package after installing we can make it quickly

2017-08-20 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Cleaning unuseful outputs

2017-06-24 Suleyman Poyraz <zaryob.dev@gmail.com>
	* not use now iksemel:
	I rewrite iksemel module and renamed to ciksemel
	now we use in package manager ciksemel.

2017-06-23 Suleyman Poyraz <zaryob.dev@gmail.com>
	* spam 1.0 beta:
	Fixed byte type output problem, archive compressing
	problem and xml problem. Ï will rewrite tests and
	sha1 based key control problem.

2017-06-19 Suleyman Poyraz <zaryob.dev@gmail.com>
	* spam 1.0 alpha:
	Ported PiSi and make PiSi based Special Package
	Manager. I thing it's name will be SPaM ;)
	Now work it very well.

2017-05-20 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Make tests:
	There are a problem on ComarIface.

2017-04-18 Suleyman Poyraz <zaryob.dev@gmail.com>
	* files hashs problem in filesldb:
	FIXED: hash encode problem

	* Should looked up install module!!!

2017-04-14 Suleyman Poyraz <zaryob.dev@gmail.com>
	* filesldb and plyvel:
	Should fix pisi-plyvel library hash encode type error

	* install:
	Fixed compressed metadata and files xml file reading problem
	(FileNotFound ERROR when reading)

2017-04-12 Suleyman Poyraz <zaryob.dev@gmail.com>
	* build:
	now we can build packages. Build options work very well and
	build time little than pisi-pardus or pisi-pisilinux releases

	* Error handling:
	There are type problem in error handling.

	* indexing:
	Fixed index library. Now we an indexing. And basic type package
	handling

	* installing:
	Now there are a problem in install library so we can't install
	packages from package files. Should fix autoxml.py write module
	and xmlfilepiks module

	* fetching and progress:
	I rewrite fetcher without UIHandler. I write an progress handler
	with use python


2017-04-11 Suleyman Poyraz <zaryob.dev@gmail.com>
	* lzma archive options:
	There are a problem when defining options in lzma.LZMAFile
	I can't fixe there. Now defined compress level 9 and defined
	compress type (.lzma).

2017-04-08 Suleyman Poyraz <zaryob.dev@gmail.com>
	* fetcher:
	Urlgrabber not work with python3. So I rewrite fetcher.py
	Now work very well but it can't get archive or package
	from ftp servers.

2017-03-20 Suleyman Poyraz <zaryob.dev@gmail.com>
	* autoxml.py:
	Fixed autoxml file problems. now work well.

2017-01-03 Suleyman Poyraz <zaryob.dev@gmail.com>
	* pisi-cli work now:
	There are a lot of problem in "pisi/cli/__init__.py". I rewrite somewheres and
	pisi-cli work now. There are problem in build and install commands.

	* FIX: There are String-Bytes bug in Error raising. Fix Here!!!!

2017-01-02 Suleyman Poyraz <zaryob.dev@gmail.com>
	* lazydb.py:
	It ported with fuatboluk. lower_map fixed. Now pisi module can importable
	in scripts. I should make test now.

	* rewrite tests:
	pisi modul tests rewrite and make tests. Now I can work easyly because
	there are a bug list now :)


2016-12-21 Suleyman Poyraz <zaryob.dev@gmail.com>
	* repodb.py:
	It port with ilkermanap. Changes return object in a function list_repos.

2016-12-13 Suleyman Poyraz <zaryob.dev@gmail.com>
	* pisi and scripts are ported.:
	Now I start bugspacing. There are a lot of Byte-to-String Porting
	problem. So there are a lot of works. I return porting it.

2016-12-12 Suleyman Poyraz <zaryob.dev@gmail.com>
	* Porting Status:
	I ported iksemel and now I start port pisi and COMAR applications.


2016-10-28 Suleyman Poyraz <zaryob.dev@gmail.com>
	* pisi 2.6:
	Old versions written by Python2. This will be a problem in future. So
	I start it porting Python2 to Python3. This is an hard job but It doesn't
	impossible.
